LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 11-20-2004, 07:39 PM   #1
joeyindy
LQ Newbie
 
Registered: Nov 2002
Location: Indianapolis, In
Distribution: SuSe 9.2, Linspire 4.5
Posts: 18

Rep: Reputation: 0
konqueror 'web browser" load error


Hi I messed up again lol. I whent to suse's site and updated a program. I have suse 9.2 kde 3.3.0. I wanted to update amarok and it updated kdelibs to 3.3.1 so now I get this error while trying to load up Konqueror web browser.

There was an error loading the module KHTML.
The diagnostics is:
/opt/kde3/lib/libkhtml.so.4: undefined symbol: _ZN11KMainWindow7setIconERK7QPixmap

Konquerors file manager works fine just the web profile wont start. I dont no how to go back to kdelibs 3.3.0. Any ideals guys in how to fix this?
 
Old 11-21-2004, 07:38 PM   #2
Harryc
Member
 
Registered: Dec 2002
Location: New York, USA
Distribution: OpenSUSE 10.0
Posts: 220

Rep: Reputation: 32
Go into YaST, add remove programs, remove kdelibs. Make sure that your SuSE installation CD's are the only active installation source in YaST. Add kdelibs from the CD's.
 
Old 11-21-2004, 09:30 PM   #3
joeyindy
LQ Newbie
 
Registered: Nov 2002
Location: Indianapolis, In
Distribution: SuSe 9.2, Linspire 4.5
Posts: 18

Original Poster
Rep: Reputation: 0
Konqueror is fixed.

That work thank you i had not disabled kde3.3.1 stuff and that was what was giving me trouble. After disabling it I was able to uninstall the 3.3.1 stuff and reinstall the kdelibs3.3.0 back. I do have one more question How do I update my kde from 3.3.0 to 3.3.1? Im not sure what this new version is. If its just and fix to a few things or if its worth updating.
 
Old 11-21-2004, 10:46 PM   #4
Harryc
Member
 
Registered: Dec 2002
Location: New York, USA
Distribution: OpenSUSE 10.0
Posts: 220

Rep: Reputation: 32
To upgrade to kde 3.3.1 (SuSE 9.2) using YaST, it's basically the opposite of what you just did, but on a larger scale. Change the installation source of YaST to point only to the below source, and only that source;

Protocol: ftp
Server name: ftp.suse.com
Directory on server: pub/suse/i386/supplementary/KDE/update_for_9.2/yast-source

Then it's childs play, just open up YaST add/remove programs, set the filter to 'selections', highlight the KDE package, and note all of the packages in blue. Go to each one and right click on it, select install. When done click on accept... etc, etc. Reboot.

Last edited by Harryc; 11-21-2004 at 11:01 PM.
 
1 members found this post helpful.
Old 11-22-2004, 02:54 AM   #5
joeyindy
LQ Newbie
 
Registered: Nov 2002
Location: Indianapolis, In
Distribution: SuSe 9.2, Linspire 4.5
Posts: 18

Original Poster
Rep: Reputation: 0
kde 3.3.1 is now installed

Hey think you very much it worked. I had update_for_9.1 and i kept getting dep's problems but once i changed it to 9.2 it worked. I was not able to boot into kde tho. I use a floppy disk to boot into suse because Linspire is on my first hda1, 2 and suse is on hdb. I had to boot into suse with the CD and then remake a boot disk. However, it would not make one succesfuly. So i got a new floppy disk out and change from grub to lilo and it worked. thank you again all is well.
 
Old 11-22-2004, 05:39 AM   #6
Harryc
Member
 
Registered: Dec 2002
Location: New York, USA
Distribution: OpenSUSE 10.0
Posts: 220

Rep: Reputation: 32
You bet, good luck .
 
Old 12-14-2004, 12:04 PM   #7
joeyindy
LQ Newbie
 
Registered: Nov 2002
Location: Indianapolis, In
Distribution: SuSe 9.2, Linspire 4.5
Posts: 18

Original Poster
Rep: Reputation: 0
kde 3.3.2 is out but is it worth going to?

I noticed kde3.3.2 is listed in suse's ftp site but it don't have a yast-source to install it yet. Is it worth upgrading to now and how would i do it sense it don't have a yast-source link yet. I hope suse 9.3 is coming soon cause 9.2 is so slow in any box you try to open weather it be a control panel or a web page.

Last edited by joeyindy; 12-14-2004 at 12:06 PM.
 
Old 12-14-2004, 02:26 PM   #8
Harryc
Member
 
Registered: Dec 2002
Location: New York, USA
Distribution: OpenSUSE 10.0
Posts: 220

Rep: Reputation: 32
Delete the old yast-source entry in YaST and re-add it exactly as it was. The 3.3.2 packages will show up then....don't ask. .

Last edited by Harryc; 12-14-2004 at 02:33 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
browser plugin for Konqueror web browser (linspire) Tracianddwayne Linux - Newbie 2 01-06-2010 02:08 PM
Konqueror Web Browser dudeman41465 Linux - Software 1 11-11-2005 10:11 PM
Flash won't load in Konqueror - "Unable to load Netscape plugin" rollo Linux - Software 2 09-10-2005 12:28 PM
"Tempoarily out of resourse, please try again later." Error Message in Web Browser carboncopy Slackware 15 08-05-2005 04:12 AM
Uploading web pages; get "access forbidden" when I load them in browser! Thermodynamic Linux - Software 1 04-03-2004 05:52 PM


All times are GMT -5. The time now is 03:16 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration